Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33072/?format=api
{ "ob_id": 33072, "uuid": "e7e62b725fb44373a36fa3624f9b059e", "title": "APPRAISE CLOUDS: aerosol chemistry from the University of Manchester Aerosol Mass Spectrometer deployed at the Chilbolton Observatory, Hampshire", "abstract": "Data were collected in December 2008 and January to March 2009 by the University of Manchester Aerosol Mass Spectrometer at the Chilbolton Observatory, Hampshire, in support of the FAAM campaign in the South-West of the UK. The dataset contains measurements of mass concentrations of organics, Sulphate, Nitrate, Ammonium and Chloride.\r\n\r\nThe data were collected for use in the CLOUDS project, which is one of multiple projects within the APPRAISE (Aerosol Properties, PRocesses And Influences on the Earth's climate) programme.", "keywords": "appraise, cloud, aerosol mass concentrations", "publicationState": "published", "dataPublishedTime": "2021-11-18T14:35:18", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33073/?format=api", "dataPath": "/badc/appraise/data/clouds/man-ams", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1005834, "numberOfFiles": 3, "fileFormat": "NASA-Ames" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1927/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/92/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52353/?format=api" ], "dataLineage": "Data provided as is by the APPRAISE campaign participants for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6527/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147718/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147719/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147720/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147721/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147722/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147723/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147724/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147725/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147726/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147727/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147728/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/33078/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }